<template>
    <el-dialog v-model="modelValue" title="审核" width="500px" @close="handleClose">
        <el-form :model="listQuery" ref="formValidate" :rules="rules" label-width="120px">
            <el-form-item prop="bkshzt" label="审核">
                <MOSTY.Select filterable v-model="listQuery.bkshzt" :dictEnum="props.dic.D_BZ_RCSHZT" width="100%" clearable placeholder="请选择是否布控" />
            </el-form-item>
        </el-form>
        <template #footer>
            <div class="tc">
                <el-button @click="handleClose">取消</el-button>
                <el-button type="primary" @click="submitForm">确定</el-button>
            </div>
        </template>
    </el-dialog>
</template>

<script setup>
import { ElMessage } from "element-plus";
import { qcckPost } from "@/api/qcckApi.js";
import * as MOSTY from "@/components/MyComponents/index";
import { ref, defineProps, defineEmits, reactive } from "vue";
const props = defineProps({
    modelValue: {
        type: Boolean,
        default: false
    },
    data: {
        type: Object,
        default: {}
    },
    dic: {
        type: Object,
        default: {}
    }
});

const emits = defineEmits(["update:modelValue"]);
const formValidate = ref();
const rules = reactive({
    bkshzt: [{ required: true, message: "请选择审核状态", trigger: "change" }]
});
const listQuery = ref({});

const submitForm = () => {
    formValidate.value.validate((valid) => {
        if (!valid) return false;
        let params = { ids: [props.data.id], ...listQuery.value };
        qcckPost(params, "/mosty-gsxt/tbGsxtRqfjRy/updateByBksh").then((res) => {
            ElMessage.success("成功");
            emits("update:modelValue", false);
            emits("change");
        });
    });
};

const handleClose = () => {
    emits("update:modelValue", false);
    formValidate.value.resetFields();
};
</script>

<style lang="scss" scoped></style>